Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 250641 - app-editors/katoob fails to build with gcc 4.3
Summary: app-editors/katoob fails to build with gcc 4.3
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.3 251566
  Show dependency tree
 
Reported: 2008-12-11 20:31 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2008-12-18 23:01 UTC (History)
3 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (katoob-0.5.9.1:20081211-200601.log,24.32 KB, text/plain)
2008-12-11 20:33 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-11 20:31:37 UTC
Check attached build log.
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2008-12-11 20:33:27 UTC
Created attachment 174991 [details]
Build log
Comment 2 Rémi Cardona gentoo-dev 2008-12-11 21:36:34 UTC
Katoob used to be maintained by leonardop, I put it under Gnome because I fixed a few bugs. Honestly, I'm not that interested in keeping it around. Gedit and all other modern editors are perfectly capable of handling RTL languages and ligatures.

Katoob is just irrelevant now, and upstream has also given up on it.

I say we should last-rite it.
Comment 3 Ryan Hill (RETIRED) gentoo-dev 2008-12-14 00:33:19 UTC
i think i can fix this without much trouble, but if you want to drop it then please do.
Comment 4 Daniel Gryniewicz (RETIRED) gentoo-dev 2008-12-15 20:09:33 UTC
I would vote for a post to -dev asking if anyone wants to take it, and last-riting it otherwise.
Comment 5 Peter Alfredsen (RETIRED) gentoo-dev 2008-12-18 23:01:21 UTC
+  18 Dec 2008; Peter Alfredsen <loki_val@gentoo.org>
+  +files/katoob-0.5.9.1-gcc43.patch, metadata.xml, -katoob-0.5.4.ebuild,
+  -katoob-0.5.6.ebuild, katoob-0.5.9.1.ebuild:
+  Fix bug 250641, gcc-4.3 compilation. Add myself as maintainer to get this
+  stabled
+